Get Local Task Variable (Binary)
curl --request GET \
--url http://{host}:{port}/{contextPath}/task/{id}/localVariables/{varName}/data \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/task/{id}/localVariables/{varName}/data"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/task/{id}/localVariables/{varName}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"binary variable: Status 200. Content-Type: application/octet-stream"{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Task Local Variable
Get Local Task Variable (Binary)
Retrieves a binary variable from the context of a given task by id. Applicable for byte array and file variables.
GET
/
task
/
{id}
/
localVariables
/
{varName}
/
data
Get Local Task Variable (Binary)
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the task to retrieve the variable for.
The name of the variable to retrieve.
Response
Request successful. For binary variables or files without any MIME type information, a byte stream is returned. File variables with MIME type information are returned as the saved type. Additionally, for file variables the Content-Disposition header will be set.
For binary variables or files without any MIME type information, a byte stream is returned.